AppServiceDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.AppServiceDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class AppServiceDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.appdef.server.session.AppServiceDAO

    public class AppServiceDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`AppServiceDAO(DAOFactory f)`

Method Summary
`AppSvcDependency` | `addDependentService(java.lang.Integer appSvcPK, java.lang.Integer depPK)`
`AppService` | `addEntryPoint(Application a, java.lang.Integer aService)` Add a non-entry point service to this application
`AppService` | `addService(Application a, java.lang.Integer aService)` Add a non-entry point service to this application
`protected AppService` | `addService(Application a, java.lang.Integer aService, boolean entryPoint)` Add a service to this application
`AppService` | `addServiceCluster(Application a, java.lang.Integer aClusterPK)` Add a service cluster to this application
`AppService` | `create(java.lang.Integer cpk, Application ap)`
`AppService` | `create(java.lang.Integer spk, Application ap, boolean entryPoint)`
`AppService` | `findByAppAndCluster(Application app, ResourceGroup g)`
`AppService` | `findByAppAndService(java.lang.Integer appId, java.lang.Integer svcId)`
`java.util.List` | `findByApplication_orderName(java.lang.Integer id)`
`java.util.Collection` | `findByApplication_orderSvcName(java.lang.Integer id, boolean asc)`
`java.util.Collection` | `findByApplication_orderSvcType(java.lang.Integer id, boolean asc)`
`java.util.List` | `findByApplication_orderType(java.lang.Integer id, boolean asc)`
`java.util.List` | `findByApplication(java.lang.Integer id)`
`AppService` | `findById(java.lang.Integer id)`
`java.util.Collection` | `findEntryPointsByApp(java.lang.Integer id)`
`void` | `remove(AppService entity)`
`void` | `save(AppService entity)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppServiceDAO

    public AppServiceDAO(DAOFactory f)

Method Detail

### findById

    public AppService findById(java.lang.Integer id)

### save

    public void save(AppService entity)

### remove

    public void remove(AppService entity)

### create

    public AppService create(java.lang.Integer cpk,
                             Application ap)

### create

    public AppService create(java.lang.Integer spk,
                             Application ap,
                             boolean entryPoint)

### addEntryPoint

    public AppService addEntryPoint(Application a,
                                    java.lang.Integer aService)

  Add a non-entry point service to this application

  Returns:
    AppServiceLocal

### addService

    public AppService addService(Application a,
                                 java.lang.Integer aService)

  Add a non-entry point service to this application

  Returns:
    AppService

### addService

    protected AppService addService(Application a,
                                    java.lang.Integer aService,
                                    boolean entryPoint)

  Add a service to this application

  Parameters:
    `entryPoint` - - is this service an entry point?
  Returns:
    AppServiceLocal

### addServiceCluster

    public AppService addServiceCluster(Application a,
                                        java.lang.Integer aClusterPK)

  Add a service cluster to this application

  Returns:
    appService

### findByApplication_orderName

    public java.util.List findByApplication_orderName(java.lang.Integer id)

### findByApplication_orderType

    public java.util.List findByApplication_orderType(java.lang.Integer id,
                                                      boolean asc)

### findByApplication

    public java.util.List findByApplication(java.lang.Integer id)

### findByApplication_orderSvcName

    public java.util.Collection findByApplication_orderSvcName(java.lang.Integer id,
                                                               boolean asc)

### findByApplication_orderSvcType

    public java.util.Collection findByApplication_orderSvcType(java.lang.Integer id,
                                                               boolean asc)

### findEntryPointsByApp

    public java.util.Collection findEntryPointsByApp(java.lang.Integer id)

### findByAppAndService

    public AppService findByAppAndService(java.lang.Integer appId,
                                          java.lang.Integer svcId)

### findByAppAndCluster

    public AppService findByAppAndCluster(Application app,
                                          ResourceGroup g)

### addDependentService

    public AppSvcDependency addDependentService(java.lang.Integer appSvcPK,
                                                java.lang.Integer depPK)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.